
TUNING = GLOBAL.TUNING

if GetModConfigData("wilson_ezrecipe") > 0 then
	PrefabFiles = {
	"amulet",
	}
elseif GetModConfigData("wilson_ezrecipe") < 1 then
	PrefabFiles = {
	"amulet_red",
	}
end

if GetModConfigData("wilson_ezrecipe") == 1 then
	TUNING.WILSON_GREEN = 0.75
elseif GetModConfigData("wilson_ezrecipe") == 2 then
	TUNING.WILSON_GREEN = 0.5
end

AddPrefabPostInit("wilson", function(inst)
	if GetModConfigData("wilson_runner") > 0 and GLOBAL.TheWorld.ismastersim then
		local function conversion(inst)

			if inst.components.hunger.current >= (112.5) and inst.components.hunger.current <= (150) then
			
				inst.components.locomotor.walkspeed = ( TUNING.WILSON_WALK_SPEED * 1.25 )
				inst.components.locomotor.runspeed = ( TUNING.WILSON_RUN_SPEED * 1.25 )
				
			elseif inst.components.hunger.current >= (50) and inst.components.hunger.current < (112.5) then
			   
				inst.components.locomotor.walkspeed = ( TUNING.WILSON_WALK_SPEED * 1 )
				inst.components.locomotor.runspeed = ( TUNING.WILSON_RUN_SPEED * 1 )
				
			elseif inst.components.hunger.current >= (0) and inst.components.hunger.current < (50) then
			   
				inst.components.locomotor.walkspeed = ( TUNING.WILSON_WALK_SPEED * 0.9 )
				inst.components.locomotor.runspeed = ( TUNING.WILSON_RUN_SPEED * 0.9 )
				
			end
			
		end
		inst:ListenForEvent("hungerdelta", function(inst) conversion(inst) end)
	end
	if GetModConfigData("wilson_reader") > 0 and GLOBAL.TheWorld.ismastersim then
		--reader (from reader component) added to pristine state for optimization
		inst:AddTag("reader")
		inst:AddComponent("reader")
	end
	if GetModConfigData("wilson_scientist") > 0 and GLOBAL.TheWorld.ismastersim then
		inst.components.builder.science_bonus = 1
	end
	if GetModConfigData("wilson_recipe") > 0 and GLOBAL.TheWorld.ismastersim then
		inst.components.builder:UnlockRecipe("researchlab2")
		inst.components.builder:UnlockRecipe("boards")
		inst.components.builder:UnlockRecipe("cutstone")
		inst.components.builder:UnlockRecipe("transistor")
	end
	if GetModConfigData("wilson_ezrecipe") > 0 and GLOBAL.TheWorld.ismastersim then
		inst.components.builder.ingredientmod = TUNING.WILSON_GREEN
	end
end)
